*,
*::before,
*::after {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: "Merriweather Sans", sans-serif;
}

:root {
  --colorDark1: #112d4e;
  --colorDark2: #3f72af;
  --colorLight1: #dbe2ef;
  --colorLight2: #f9f7f7;
}

body {
  width: 100vw;
  background-image: linear-gradient(160deg, #112d4e 0%, #3f72af 100%);
  overflow-x: hidden;
}

.wrapper {
  max-width: 1200px;
  min-height: 100vh;
  color: var(--colorLight2);
  padding: 1rem;
  margin: 0 auto;
}

h1 {
  text-align: center;
  text-transform: uppercase;
  padding-top: 1.25rem;
}

.tab-container {
  width: 90%;
  max-width: 550px;
  margin: 0 auto;
  margin-top: 4rem;
  display: flex;
  justify-content: space-between;
}

.tab {
  cursor: pointer;
  font-size: 0.875rem;
  letter-spacing: 1.75px;
  padding: 5px 8px;
}

.tab.current-tab {
  background-color: rgba(219, 226, 239, 0.5);
  border-radius: 4px;
}

.weather-container {
  margin-block: 4rem;
}

.btn {
  all: unset;
  font-size: 0.85rem;
  text-transform: uppercase;
  border-radius: 5px;
  background-color: var(--colorDark2);
  cursor: pointer;
  padding: 10px 30px;
  margin-bottom: 10px;
}

.sub-container {
  display: flex;
  flex-direction: column;
  align-items: center;
}

.grant-location-container {
  display: none;
}

.grant-location-container.active {
  display: flex;
}

.grant-location-container img {
  margin-bottom: 2rem;
}

.grant-location-container p:first-of-type {
  font-size: 1.75rem;
  font-weight: 600;
}

.grant-location-container p:last-of-type {
  font-size: 0.85rem;
  font-weight: 500;
  margin-top: 0.75rem;
  margin-bottom: 1.75rem;
  letter-spacing: 0.75px;
}

.loading-container {
  display: none;
}

.loading-container.active {
  display: flex;
}

.loading-container p {
  text-transform: uppercase;
}

.user-info-container {
  display: none;
}

.user-info-container.active {
  display: flex;
}

.name {
  display: flex;
  align-items: center;
  gap: 0 0.5rem;
  margin-bottom: 1rem;
}

.user-info-container p {
  font-size: 1.5rem;
  font-weight: 200;
}

.user-info-container img {
  width: 90px;
  height: 90px;
}

.name p {
  font-size: 2rem;
}

.name img {
  width: 30px;
  height: 30px;
  object-fit: contain;
}

.user-info-container p[data-temp] {
  font-size: 2.75rem;
  font-weight: 700;
}

.parameter-container {
  width: 90%;
  display: flex;
  gap: 10px 20px;
  justify-content: center;
  align-items: center;
  margin-top: 2rem;
}

.parameter {
  width: 30%;
  max-width: 200px;
  background-color: rgba(219, 226, 239, 0.5);
  border-radius: 5px;
  padding: 1rem;
  display: flex;
  flex-direction: column;
  gap: 5px 0;
  /* justify-content: space-between; */
  align-items: center;
}

.parameter img {
  width: 50px;
  height: 50px;
}

.parameter p:first-of-type {
  font-size: 1.15rem;
  font-weight: 600;
  text-transform: uppercase;
}

.parameter p:last-of-type {
  font-size: 1rem;
  font-weight: 200;
}

.form-container {
  display: none;
  width: 90%;
  max-width: 550px;
  margin: 0 auto;
  justify-content: center;
  align-items: center;
  gap: 0 10px;
  margin-bottom: 3rem;
  gap: 5px;
}

.form-container.active {
  display: flex;
}

.form-container input {
  all: unset;
  width: calc(100% - 80px);
  height: 40px;
  padding: 0 20px;
  background-color: rgba(219, 226, 239, 0.5);
  border-radius: 10px;
}

.form-container input::placeholder {
  color: rgba(255, 255, 255, 0.7);
}

.form-container input:focus {
  outline: 3px solid rgba(255, 255, 255, 0.7);
}

.form-container .btn {
  padding: unset;
  width: 40px;
  height: 40px;
  display: flex;
  align-items: center;
  justify-content: center;
  border-radius: 100%;
  margin-bottom: 1px;
}

.error-container {
    display: none;
    text-align: center;
    padding: 20px;
    background: #112d4e;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
    border-radius: 8px;
    width: 600px;
    margin: 0 auto;
  }
  
  .error-container.active {
    display: block;
  }
